package com.citygis.web.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-09
 * @Description: 接入数据交换量
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "Exchange对象", description = "接入数据交换量")
public class Exchange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "插入_更新_删除总量")
    private String allCount;

    @ApiModelProperty(value = "日志_Select数量")
    private String selectConutLog;

    @ApiModelProperty(value = "日志_Insert数量")
    private String insertCountLog;

    @ApiModelProperty(value = "表当日实际Insert数量")
    private String insertCount;
    @ApiModelProperty(value = "日志_Update数量")
    private String updateCountLog;
    @ApiModelProperty(value = "表当日实际update数量")
    private String updateCount;
    @ApiModelProperty(value = "日志_Delete数量")
    private String deleteCountLog;
    @ApiModelProperty(value = "表当日实际Delete数量")
    private String deleteCount;
    @ApiModelProperty(value = "插入失败")
    private String insertError;
    @ApiModelProperty(value = "更新失败")
    private String updateError;
    @ApiModelProperty(value = "删除失败")
    private String deleteError;
    @ApiModelProperty(value = "操作时间")
    private String time;
    @ApiModelProperty(value = "操作表")
    private String tableName;
    @ApiModelProperty(value = "序号")
    private String inx;

    private String dateTime;

}
