package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author citygis
 * @since 2025-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_FILE_INFO")
@ApiModel(value = "TabFileInfo对象", description = "")
public class TabFileInfo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文件id")
    @TableId(value = "FILE_ID", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer fileId;

    @ApiModelProperty(value = "文件名称")
    @TableField("FILE_NAME")
    private String fileName;

    @ApiModelProperty(value = "文件路径")
    @TableField("FILE_PATH")
    private String filePath;

    @ApiModelProperty(value = "文件状态：0停用，1启用")
    @TableField("STATUS")
    private Integer status;

    @ApiModelProperty(value = "创建人id")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "创建人部门Id")
    @TableField("DEPT_ID")
    private Long deptId;

    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("IS_DEL")
    private Integer isDel;

    @ApiModelProperty(value = "所属系统")
    @TableField("SYSTEM_TYPE")
    private String systemType;

    @ApiModelProperty(value = "关联ID")
    @TableField("OUTSIDE_ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long outsideId;


}
