package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * sftp数据资源信息表
 * </p>
 *
 * @author citygis
 * @since 2025-01-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_SFTP")
@ApiModel(value = "TabSftp对象", description = "sftp数据资源信息表")
public class TabSftp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "接入反馈表id")
    @TableField("ACCESS_FEEDBACK_ID")
    private Long accessFeedbackId;

    @ApiModelProperty(value = "数据资源名称")
    @TableField("DATASOURCE_NAME")
    private String datasourceName;

    @ApiModelProperty(value = "文件名称")
    @TableField("FILE_NAME")
    private String fileName;

    @ApiModelProperty(value = "应用场景")
    @TableField("SCENARIO")
    private String scenario;

    @ApiModelProperty(value = "文件类型")
    @TableField("FILE_TYPE")
    private String fileType;

    @ApiModelProperty(value = "六统一sftpip")
    @TableField("SIX_SFTP_IP")
    private String sixSftpIp;

    @ApiModelProperty(value = "六统一sftp端口")
    @TableField("SIX_SFTP_PORT")
    private String sixSftpPort;

    @ApiModelProperty(value = "文件路径")
    @TableField("FILE_PATH")
    private String filePath;

    @ApiModelProperty(value = "acks")
    @TableField("ACKS")
    private String acks;

    @ApiModelProperty(value = "六统一用户名")
    @TableField("SIX_NAME")
    private String sixName;

    @ApiModelProperty(value = "六统一密码")
    @TableField("SIX_PASSWORD")
    private String sixPassword;

    @ApiModelProperty(value = "文件大小")
    @TableField("FILE_SIZE")
    private String fileSize;


}
