package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author citygis
 * @since 2025-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_SQL_EXECUTE")
@ApiModel(value = "TabSqlExecute对象", description = "")
public class TabSqlExecute implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("ID")
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private String id;

    @ApiModelProperty(value = "sql")
    @TableField("SQL")
    private String sql;

    @ApiModelProperty(value = "表名")
    @TableField("TABLENAME")
    private String tablename;

    @ApiModelProperty(value = "执行次数")
    @TableField("EXECUTECOUNT")
    private String executecount;

    @ApiModelProperty(value = "执行时间")
    @TableField("TOTALTIME")
    private String totaltime;

    @ApiModelProperty(value = "执行最慢")
    @TableField("MAXTIMESPAN")
    private String maxtimespan;

    @ApiModelProperty(value = "读取行数")
    @TableField("FETCHROWCOUNT")
    private String fetchrowcount;

    @ApiModelProperty(value = "最大并发数")
    @TableField("CONCURRENTMAX")
    private String concurrentmax;

    @ApiModelProperty(value = "数据库类型")
    @TableField("DBTYPE")
    private String dbtype;

    @ApiModelProperty(value = "事务执行")
    @TableField("INTRANSACTIONCOUNT")
    private String intransactioncount;

    @ApiModelProperty(value = "错误数")
    @TableField("ERRORCOUNT")
    private String errorcount;

    @ApiModelProperty(value = "执行中")
    @TableField("RUNNINGCOUNT")
    private String runningcount;

    @ApiModelProperty(value = "更新行数")
    @TableField("EFFECTEDROWCOUNT")
    private String effectedrowcount;

    @ApiModelProperty(value = "sql类型")
    @TableField("SQLTYPE")
    private String sqltype;

    @ApiModelProperty(value = "模式名")
    @TableField("SCHEMANAME")
    private String schemaname;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private String createTime;

    @ApiModelProperty(value = "sqlId")
    @TableField("SQLID")
    private Integer sqlid;

    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("IS_DEL")
    @TableLogic(value = "0", delval = "1")
    private String isDel;

    @ApiModelProperty(value = "开始时间")
    @TableField(exist = false)
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    @TableField(exist = false)
    private String endTime;


}
