package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author citygis
 * @since 2025-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TabSystemMsg对象", description = "")
public class TabSystemMsg implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer id;

    @ApiModelProperty(value = "数据源应用系统")
    @TableField("system_name")
    private String systemName;

    @ApiModelProperty(value = "表单名称")
    @TableField("table_name")
    private String tableName;

    @ApiModelProperty(value = "表名称")
    @TableField("table_english_name")
    private String tableEnglishName;

    @ApiModelProperty(value = "接入方式")
    @TableField("access_manner")
    private String accessManner;

    @ApiModelProperty(value = "更新方式")
    @TableField("update_type")
    private String updateType;

    @ApiModelProperty(value = "状态：0不正常1正常")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "业务量")
    @TableField("ps")
    private String ps;

    @ApiModelProperty(value = "数量")
    @TableField("count")
    private String count;

    @ApiModelProperty(value = "数据基本id")
    @TableField("data_essential_id")
    private Long dataEssentialId;

    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("is_del")
    private Integer isDel;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;


}
