package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 登录页系统连接
 * </p>
 *
 * @author citygis
 * @since 2024-12-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_SYSTEM_OTHER")
@ApiModel(value = "TabSystemOther对象", description = "登录页系统连接")
public class TabSystemOther extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    @TableField("ID")
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "系统名称")
    @TableField("SYSTEM_NAME")
    private String systemName;

    @ApiModelProperty(value = "系统图标")
    @TableField("SYSTEM_ICON")
    private String systemIcon;

    @ApiModelProperty(value = "系统地址")
    @TableField("SYSTEM_URL")
    private String systemUrl;

    @ApiModelProperty(value = "系统类型")
    @TableField("SYSTEM_TYPE")
    private String systemType;

    @ApiModelProperty(value = "是否启用：0未启用，1启用")
    @TableField("IS_APPLY")
    private Integer isApply;

    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("IS_DEL")
    private Integer isDel;

    @ApiModelProperty(value = "创建人id")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "部门id")
    @TableField("DEPT_ID")
    private Long deptId;

    @TableField(exist = false)
    private List<TabSystemOther> childes;


}
