package com.citygis.web.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.citygis.common.annotation.DataSource;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.enums.DataSourceType;
import com.citygis.web.domain.TabDatalog;
import com.citygis.web.mapper.TabDatalogMapper;
import com.citygis.web.service.ITabDatalogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class TabDatalogServiceImpl extends ServiceImpl<TabDatalogMapper, TabDatalog> implements ITabDatalogService {

    @Resource
    TabDatalogMapper tabDatalogMapper;

    @Override
    public List<TabDatalog> getDataLogList(TabDatalog tabDatalog) {
        return tabDatalogMapper.getDataLogList(tabDatalog);
    }

    @Override
    public List<TabDatalog>  getDatalogDetailByTableEnglishName(TabDatalog tabDatalog) {
        return tabDatalogMapper.getDatalogDetailByTableEnglishName(tabDatalog);
    }

    @Override
    public AjaxResult getLinkTitle(TabDatalog tabDatalog) {
        return AjaxResult.success(tabDatalogMapper.getLinkTitle(tabDatalog));
    }
}
